#include <iostream>
using namespace std;

int main() {
  int k; cin>>k; int x[1000],y[1000],z[1000];int u=0;
  for(int i=0;i<k;i++){
    cin>>x[i];
  }
  for(int i=0;i<k;i++){
    cin>>y[i];
  }
  for(int i=0;i<k;i++){
    cin>>z[i];
  }
  for(int i=0;i<k;i++){
    for(int j=0;j<k;j++){
      if(x[i]==y[j]){
        for(int g=0;g<k;g++){
          if(z[g]==j+1){
            u++;
          }
        }
      }
    }
    
  }
  cout<<u;
}